# The package python-jsonschema is in RHEL 9, with a python3-jsonschema
# subpackage.  It does not have a python3-jsonschema+format subpackage like it
# does in Fedora.  This was intentionally removed due to dependencies that RHEL
# didn't want to ship.
#
# https://gitlab.com/redhat/centos-stream/rpms/python-jsonschema/-/commit/e2924a4b905ead6fab46043293779e1ba55c521f
#
# This EPEL-only package provides the missing subpackage from RHEL build.

%global pypi_name jsonschema

%global common_description %{expand:
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).

 - Full support for Draft 7, Draft 6, Draft 4 and Draft 3
 - Lazy validation that can iteratively report all validation errors.
 - Small and extensible
 - Programmatic querying of which properties or items failed validation.}

Name:           python-%{pypi_name}-epel
Summary:        Implementation of JSON Schema validation for Python
Version:        3.2.0
Release:        13%{?dist}
License:        MIT

URL:            https://github.com/Julian/jsonschema
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)


%description %{common_description}


%package -n     python3-%{pypi_name}+format
Summary:        Metapackage for python3-%{pypi_name}: format extras
# Normally this would be %%{version}-%%{release}, but we need to relax it a bit
# to ensure this package stays installable if RHEL does a release bump.
Requires:       python3-%{pypi_name} = %{version}


%description -n python3-%{pypi_name}+format
This is a metapackage bringing in format extras requires for
python3-jsonschema.  It makes sure the dependencies are installed.


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install

# Delete files that are part of the RHEL package, except for the egg metadata
# which we need for the dependency generator to work (but aren't included
# because they are %%ghost files).
rm -r %{buildroot}%{_bindir}/jsonschema
rm -r %{buildroot}%{python3_sitelib}/%{pypi_name}


%files -n python3-%{pypi_name}+format
%ghost %{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Feb 15 2023 Carl George <carl@george.computer> - 3.2.0-13
- EPEL-only package to provide missing python3-jsonschema+format subpackage
